org.eclipse.jetty.io.nio

## Interface NIOBuffer

- All Superinterfaces:
    Buffer, Cloneable
  All Known Implementing Classes:
    DirectNIOBuffer, IndirectNIOBuffer

      public interface NIOBuffer
      extends Buffer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.io.Buffer

      `Buffer.CaseInsensitve`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jetty.io.Buffer

      `IMMUTABLE, NON_VOLATILE, READONLY, READWRITE, VOLATILE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `getByteBuffer()`
    `boolean` | `isDirect()`

    - ### Methods inherited from interface org.eclipse.jetty.io.Buffer

      `array, asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, buffer, capacity, clear, compact, equalsIgnoreCase, get, get, get, getIndex, hasContent, isImmutable, isReadOnly, isVolatile, length, mark, mark, markIndex, peek, peek, peek, peek, poke, poke, poke, put, put, put, put, putIndex, readFrom, reset, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, space, toDetailString, toString, writeTo`

- - ### Method Detail

    - #### getByteBuffer

          ByteBuffer getByteBuffer()

    - #### isDirect

          boolean isDirect()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.